%define upstream_name    Test-Class
%define upstream_version 0.50

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    Write Perl test suites in xUnit style
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Test/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Attribute::Handlers) >= 0.770.0
BuildRequires: perl(Carp)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Fcntl)
BuildRequires: perl(File::Find)
BuildRequires: perl(File::Spec)
BuildRequires: perl(IO::File) >= 1.90.0
BuildRequires: perl(MRO::Compat) >= 0.110.0
BuildRequires: perl(Module::Runtime)
BuildRequires: perl(Storable) >= 2.40.0
BuildRequires: perl(Test)
BuildRequires: perl(Test::Builder) >= 0.780.0
BuildRequires: perl(Test::Builder::Tester) >= 1.20.0
BuildRequires: perl(Test::Exception) >= 0.250.0
BuildRequires: perl(Test::More) >= 0.780.0
BuildRequires: perl(Test::Simple) >= 0.780.0
BuildRequires: perl(Try::Tiny)
BuildRequires: perl(base)
BuildRequires: perl(constant)
BuildRequires: perl(overload)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
Test::Class provides a simple way of creating classes and objects to test
your code in an xUnit style.

Built using the Test::Builder manpage, it was designed to work with other
Test::Builder based modules (the Test::More manpage, the Test::Differences
manpage, the Test::Exception manpage, etc.).

_Note:_ This module will make more sense, if you are already familiar with
the "standard" mechanisms for testing perl code. Those unfamiliar with the
Test::Harness manpage, the Test::Simple manpage, the Test::More manpage and
friends should go take a look at them now. the Test::Tutorial manpage is a
good starting point.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*


%changelog
* Wed Feb 12 2020 umeabot <umeabot> 0.500.0-5.mga8
+ Revision: 1497327
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 0.500.0-4.mga7
+ Revision: 1271656
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.500.0-3.mga6
+ Revision: 1034147
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 0.500.0-2.mga6
+ Revision: 968026
- Mageia 6 Mass Rebuild

* Sun Jul 05 2015 sander85 <sander85> 0.500.0-1.mga6
+ Revision: 851169
- update to 0.50

* Wed Oct 15 2014 umeabot <umeabot> 0.460.0-3.mga5
+ Revision: 749470
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.460.0-2.mga5
+ Revision: 686408
- Mageia 5 Mass Rebuild

* Mon Jul 07 2014 sander85 <sander85> 0.460.0-1.mga5
+ Revision: 650437
- update to 0.46

* Thu Jun 26 2014 jquelin <jquelin> 0.430.0-1.mga5
+ Revision: 640018
- update to 0.43

* Mon May 19 2014 sander85 <sander85> 0.420.0-1.mga5
+ Revision: 623903
- update to 0.42

* Sat Feb 08 2014 sander85 <sander85> 0.410.0-1.mga5
+ Revision: 586231
- update to 0.41

* Sat Oct 19 2013 umeabot <umeabot> 0.390.0-3.mga4
+ Revision: 525643
- Mageia 4 Mass Rebuild

* Sat Jun 01 2013 takashi <takashi> 0.390.0-2.mga4
+ Revision: 433952
- Upload to 0.39

* Sun Jan 13 2013 umeabot <umeabot> 0.380.0-2.mga3
+ Revision: 373396
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 jquelin <jquelin> 0.380.0-1.mga3
+ Revision: 342687
- update to 0.38

* Thu Jul 05 2012 jquelin <jquelin> 0.370.0-1.mga3
+ Revision: 268091
- update to 0.37

* Fri Jan 21 2011 jquelin <jquelin> 0.360.0-2.mga1
+ Revision: 28789
- mageia rebuild
- imported package perl-Test-Class


* Fri Dec 03 2010 Shlomi Fish <shlomif@mandriva.org> 0.360.0-2mdv2011.0
+ Revision: 606907
- Removed the dot at the end of the summary
- import perl-Test-Class

